.dx-widget {
    font-size: 14px;
}

.dx-cell-focus-disabled {
    /*text-align: center !important*/ /* this was causing cells to center when clicked */
}

.dx-list-item-content {
    padding: 2px
}

.dx-datagrid .dx-row > td {
    padding: 2px
}

.dx-datagrid-content .dx-datagrid-table .dx-row > td,
.dx-datagrid-content .dx-datagrid-table .dx-row > tr > td {
    vertical-align: middle;
}

.dx-list {
    border: 2px
}

.dx-list-item {
    border: 2px
}

.dx-texteditor-input {
    padding: 2px
}

.dx-texteditor.dx-state-readonly {
    border-style: solid;
}

.dx-dropdowneditor-button-visible .dx-texteditor-input {
    padding: 2px
}

.dx-popup-title {
    border-bottom: 4px solid #67B346;
}

    .dx-popup-title .dx-closebutton {
        background-color: #bdbdbd;
        border-radius: 20px;
        border: 0;
    }

.dx-toolbar-items-container {
    height: 40px !important
}

.dx-data-row.dx-state-hover {
    /*border-width: 0 1px !important;
    border-bottom: 1px solid #67B346 !important;*/
}

    .dx-data-row.dx-state-hover td {
        /*border-width: 0 1px !important;
        border-bottom: 1px solid #67B346 !important;*/
    }

/* Should be in DevEx theme, but we aren't on same version */
.dx-datagrid-table .dx-data-row.dx-state-hover:not(.dx-selection):not(.dx-row-inserted):not(.dx-row-removed):not(.dx-edit-row):not(.dx-row-focused) > td:not(.dx-focused) {
    background-color: rgba(185,222,240,1);
}

.dx-datagrid-rowsview .dx-selection.dx-row.dx-column-lines > td, .dx-datagrid-rowsview .dx-selection.dx-row.dx-column-lines > td, .dx-datagrid-rowsview .dx-selection.dx-row:hover.dx-column-lines > td {
    /*border-left: 1px solid #ddd;*/
    /*border-right: 1px solid #ddd;*/
    /*border-bottom: 1px solid #ddd;*/
    background-color: rgba(185,222,240,.5);
}

.dx-tabs-wrapper {
    text-transform: uppercase;
}

.dx-tabs {
    border: 0px solid #ddd;
}

    .dx-tabs .dx-tab {
        -webkit-box-shadow: none;
        box-shadow: none;
    }

        .dx-tabs .dx-tab.dx-tab-selected {
            -webkit-box-shadow: none;
            box-shadow: none;
        }

    .dx-tabs.dx-tabs-expanded .dx-tab:not(.dx-state-focused,.dx-tab-selected):first-of-type {
        -webkit-box-shadow: none;
        box-shadow: none;
    }

    .dx-tabs.dx-tabs-expanded .dx-tab:not(.dx-state-focused,.dx-tab-selected):last-of-type {
        -webkit-box-shadow: none;
        box-shadow: none;
    }

.dx-tab {
    background-color: white;
    border-bottom: 3px solid #DFDFDF;
}

.dx-tab-selected {
    border-bottom: 3px solid #67B346;
}

    .dx-tab-selected:after {
        border-right: 0px;
        border-left: 0px;
    }

.dx-calendar .dx-calendar-navigator {
    background-color: #67b346
}

.dx-calendar-navigator .dx-calendar-caption-button.dx-button .dx-button-content {
    /*color: white;*/
}

.dx-dropdowneditor.dx-state-hover .dx-dropdowneditor-icon {
    background-color: #e6e6e6;
}

.dx-dropdowneditor.dx-dropdowneditor-active .dx-dropdowneditor-icon, .dx-dropdowneditor.dx-state-active .dx-dropdowneditor-icon {
    background-color: #b3b3b3;
}

/* begin 19.2 srollbar chrome fixes */
.dx-scrollable-customizable-scrollbars .dx-scrollable-container::-webkit-scrollbar:horizontal {
    height: 17px;
}

.dx-scrollable-customizable-scrollbars .dx-scrollable-container::-webkit-scrollbar:vertical {
    width: 17px;
}

.dx-scrollable-customizable-scrollbars .dx-scrollable-container::-webkit-scrollbar-thumb {
    background-color: #c1c1c1 !important;
    border-right: 2px solid transparent;
    border-left: 1px solid transparent;
    background-clip: content-box;
}
/* end 19.2 srollbar fixes */

.dx-tag-content {
    background-color: #67b346;
    border-radius: 5px;
    color: white;
}

.dx-tag-remove-button:after,
.dx-tag-remove-button:before {
    background: white;
}

.dx-tag-remove-button:active:after,
.dx-tag-remove-button:active:before {
    background: black;
}

.dx-tag.dx-state-focused .dx-tag-remove-button:after,
.dx-tag.dx-state-focused .dx-tag-remove-button:before {
    background-color: white;
}

.dx-tag.dx-state-focused .dx-tag-remove-button:active:after,
.dx-tag.dx-state-focused .dx-tag-remove-button:active:before {
    background: black;
}

.dx-pager .dx-pages {
    float: left;
}

    .dx-pager .dx-page-sizes .dx-selection, .dx-pager .dx-pages .dx-selection {
        background-color: #67b346;
    }

.dx-overlay-shader {
    background-color: rgba(119,119,119,.7);
}

.dx-datagrid-rowsview .dx-select-checkboxes-hidden > tbody > tr > td > .dx-select-checkbox {
    display: inline-block;
}
